<template>
  <div class="page">
    <div class="navbar">
      <div class="navbar-bg" style="background-image: linear-gradient(to right, #004d7a, #008793, #6d9987);"></div>
      <div class="navbar-inner sliding">
        <div class="left">
          <a href="#" class="link back">
            <i class="icon icon-back" style="color: white;"></i>
            <span class="if-not-md" style="color: white;">Back</span>
          </a>
        </div>
        <div class="title" style="color: white;">Detail</div>
      </div>
    </div>
    <div class="page-contentt" style="margin-top: 50px;">
        <div class="list media-list">
          <ul>
            {{#each detail_notifikasi}}
            <li>
              <a href="" class="item-content" style="color: black;">
                <div class="item-inner">
                  <div class="item-title-row">
                    <div class="item-title" style="font-weight: bold;">{{this.judul}}</div>
                    <!-- <div class="item-after">{{this.tanggal}}</div> -->
                  </div>
                  <div class="item-subtitle">{{this.tanggal}}</div>
                  <div class="item">{{this.isi}}</div>
                </div>
              </a>
            </li>
            {{/each}}
          </ul>
        </div>
        
      </div>
  </div>
</template>
<style>
  p {
    margin: 10px 0;
  }
</style>
<script>
  import $$ from 'dom7';
  export default {
    // Lifecycle Hooks
    beforeCreate() {
      console.log('componentBeforeCreate', this)
    },
    created() {
      console.log('componentCreated', this)
    },
    beforeMount() {
      console.log('componentBeforeMount', this)
    },
    mounted() {
      console.log('componentMounted', this);
    },
    beforeDestroy() {
      console.log('componentBeforeDestroy', this);
    },
    destroyed() {
      console.log('componentDestroyed', this);
    },
    // Component Data
    data: function () {
      // Must return an object
      return {
        name: 'Jimmy',
        age: 25,
        like: ['Tennis', 'Chess', 'Football'],
        detail_notifikasi: null,
      }
    },
    // Component Methods
    methods: {
      openAlert: function () {
        var self = this;
        self.$app.dialog.alert('Hello World');
      },
    },
    // Page Events
    on: {
      pageMounted: function(e, page) {
        console.log('pageMounted', page);
      },
      pageInit: function(e, page) {
        // console.log('pageInit', page);

          const self = this;
          const app = self.$app;
          // const iduser = localStorage.getItem('iduser');
          var id = this.$route.params.id;
          // $$(".toolbar-bottom").css('display','none');
          // //  alert(iduser);
          //  app.request({
          //   url: 'http://localhost:801/project_colabs/toko-akbar/backoffice/api/notifikasi/'+iduser,
          //   method: 'POST',
          //   dataType: 'html',
          //   data: {iduser:iduser},
          //   success: function (data) {
          //     $$('#html_notif').append($$(data));
          //   }
          // });
          app.preloader.show();
            // request user data on page init
            app.request.get('https://backoffice.tokoakbar.com/api/notifikasi_detail/'+id, (data) => {
              // update component state with new state
              self.$setState({
                detail_notifikasi: data,
              });
              app.preloader.hide();
            },'json');
      },
      pageBeforeIn: function(e, page) {
        console.log('pageBeforeIn', page);
      },
      pageAfterIn: function(e, page) {
        console.log('pageAfterIn', page);
      },
      pageBeforeOut: function(e, page) {
        console.log('pageBeforeOut', page);
      },
      pageAfterOut: function(e, page) {
        console.log('pageAfterOut', page);
      },
      pageBeforeRemove: function(e, page) {
        console.log('pageBeforeRemove', page);
      },
    }
  }
</script>
